
Foreman - Bug #23093

Transient test failure with PG DB deadlock

04/02/2018 06:08 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Tests   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5388

  

Description

ActiveRecord::Deadlocked: PG::TRDeadlockDetected: ERROR:  deadlock detected

DETAIL:  Process 21225 waits for AccessExclusiveLock on relation 130465041 of database 130464378; 

blocked by process 21232.

Process 21232 waits for AccessShareLock on relation 130464767 of database 130464378; blocked by pr

ocess 21225.

HINT:  See server log for query details.

: TRUNCATE TABLE "public"."bookmarks", "public"."config_group_classes", "public"."config_groups", 

"public"."host_config_groups", "public"."hostgroup_classes", "public"."http_proxies", "public"."me

ssages", "public"."parameters", "public"."roles", "public"."sources", "public"."users", "public"."

audits", "public"."cached_user_roles", "public"."cached_usergroup_members", "public"."domains", "p

ublic"."environments", "public"."fact_names", "public"."external_usergroups", "public"."filters", 

"public"."host_status", "public"."host_classes", "public"."hostgroups", "public"."lookup_values", 

"public"."locations_organizations", "public"."logs", "public"."key_pairs", "public"."nics", "publi

c"."notification_blueprints", "public"."mail_notifications", "public"."models", "public"."media_op

eratingsystems", "public"."notification_recipients", "public"."notifications", "public"."permissio

ns", "public"."os_default_templates", "public"."operatingsystems_provisioning_templates", "public"

."operatingsystems_ptables", "public"."operatingsystems_puppetclasses", "public"."personal_access_

tokens", "public"."reports", "public"."sessions", "public"."settings", "public"."realms", "public"

."ssh_keys", "public"."taxonomies", "public"."template_combinations", "public"."table_preferences"

, "public"."subnet_domains", "public"."template_kinds", "public"."user_roles", "public"."usergroup

_members", "public"."templates", "public"."tokens", "public"."trends", "public"."widgets", "public

"."hosts", "public"."architectures_operatingsystems", "public"."filterings", "public"."trend_count

ers", "public"."compute_attributes", "public"."user_mail_notifications", "public"."usergroups", "p

ublic"."test_facets", "public"."environment_classes", "public"."images", "public"."auth_sources", 

"public"."fact_values", "public"."features", "public"."compute_resources", "public"."compute_profi

les", "public"."features_smart_proxies", "public"."smart_proxies", "public"."puppetclasses", "publ

ic"."subnets", "public"."operatingsystems", "public"."lookup_keys", "public"."architectures", "pub

lic"."media", "public"."taxable_taxonomies", "public"."module_test_facets" RESTART IDENTITY CASCAD

E;

    test/integration_test_helper.rb:195:in `block in <class:IntegrationTest>'

    test/test_helper.rb:75:in `after_teardown' (ActiveRecord::Deadlocked)

/usr/local/rvm/gems/ruby-2.4.3@test_develop-0/gems/activerecord-5.1.4/lib/active_record/connection

_adapters/postgresql/database_statements.rb:73  

Associated revisions

Revision 88bb73d0 - 04/03/2018 07:41 AM - Michael Moll 

Fixes #23093 - prevent DB deadlocks in IntegrationTestHelper

History

#1 - 04/02/2018 06:10 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5388 added

#2 - 04/03/2018 08:02 AM - Anonymous

05/18/2024 1/2



- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 88bb73d024ea007ea3d60d998d0e32535b99b4ea.
